NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.RunSimulationBuilder Class Reference

Represents a NXOpen.Tooling.RunSimulationBuilder to animate the model, analyze the collision and reference. More...

Inheritance diagram for NXOpen.Tooling.RunSimulationBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CollisionCheckOptions { FacetBodyDistance, MeshTriangleIntersection, SolidBodyIntersection }
 Specifies the collision check method More...
 

Public Member Functions

unsafe void CollisionConfiguration ()
 Modify the collision by invoking collision configuration dialog More...
 
unsafe void CollisionInformation ()
 List collision changes information in the information window More...
 
unsafe void GotoEnd ()
 Run goto end of the simulation More...
 
unsafe void GotoStart ()
 Goto the start of the simulation More...
 
unsafe void Next ()
 Next simulation result More...
 
unsafe void Play ()
 Play simulation forwards More...
 
unsafe void PlayBackwards ()
 Play simulation backwards More...
 
unsafe void Previous ()
 Previous simulation result More...
 
unsafe void ResetIgnoredCollision ()
 Reset all ignored settings of the collision More...
 
unsafe void Stop ()
 Stop simulation More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AngleExpression [get]
 Returns the angle of the cycle position More...
 
unsafe bool CheckCollision [get, set]
 Returns or sets the check collision More...
 
unsafe double ClearanceCollision [get, set]
 Returns or sets the clearance value of collision or interference More...
 
unsafe
NXOpen.Tooling.RunSimulationBuilder.CollisionCheckOptions 
CollisionCheckOption [get, set]
 Returns or sets the collision check method option More...
 
unsafe double GotoRun [get, set]
 Returns or sets the goto run angle stores the position in the cycle More...
 
unsafe bool HighlightCollision [get, set]
 Returns or sets the highlight collision bodies flag More...
 
unsafe bool IgnoreTouching [get, set]
 Returns or sets the ignore touching flag More...
 
unsafe NXOpen.Expression IntervalDimension [get]
 Returns the interval value of refresh More...
 
unsafe bool StopCheckCollision [get, set]
 Returns or sets the stop check collision if find next collision More...
 
unsafe NXOpen.Expression TimeExpression [get]
 Returns the time in the cycle More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.RunSimulationBuilder to animate the model, analyze the collision and reference.

a null reference (Nothing in Visual Basic) is returned

To create a new instance of this class, use NXOpen.Tooling.ProgressiveDieManager.CreateRunSimulationBuilder

Default values.

Property Value

AngleExpression.Value

0

CheckCollision

0

ClearanceCollision

1.0 (millimeters part), 0.04 (inches part)

CollisionCheckOption

MeshTriangleIntersection

GotoRun

0

HighlightCollision

0

IgnoreTouching

0

IntervalDimension.Value

2

StopCheckCollision

0

TimeExpression.Value

0 (millimeters part), 0 (inches part)

Created in NX10.0.0

Member Enumeration Documentation

Specifies the collision check method

Enumerator
FacetBodyDistance 

Measure facet bodies distance to do collision check

MeshTriangleIntersection 

Mesh facet body, check the mesh triangle intersection or not

SolidBodyIntersection 

Get the solid body, use intersection boolean result to do collision check

Member Function Documentation

unsafe void NXOpen.Tooling.RunSimulationBuilder.CollisionConfiguration ( )
inline

Modify the collision by invoking collision configuration dialog

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.CollisionInformation ( )
inline

List collision changes information in the information window

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.GotoEnd ( )
inline

Run goto end of the simulation

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.GotoStart ( )
inline

Goto the start of the simulation

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.Next ( )
inline

Next simulation result

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.Play ( )
inline

Play simulation forwards

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.PlayBackwards ( )
inline

Play simulation backwards

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.Previous ( )
inline

Previous simulation result

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.ResetIgnoredCollision ( )
inline

Reset all ignored settings of the collision

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.RunSimulationBuilder.Stop ( )
inline

Stop simulation

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe NXOpen.Expression NXOpen.Tooling.RunSimulationBuilder.AngleExpression
get

Returns the angle of the cycle position

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.RunSimulationBuilder.CheckCollision
getset

Returns or sets the check collision

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.RunSimulationBuilder.ClearanceCollision
getset

Returns or sets the clearance value of collision or interference

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.RunSimulationBuilder.CollisionCheckOptions NXOpen.Tooling.RunSimulationBuilder.CollisionCheckOption
getset

Returns or sets the collision check method option

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.RunSimulationBuilder.GotoRun
getset

Returns or sets the goto run angle stores the position in the cycle

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.RunSimulationBuilder.HighlightCollision
getset

Returns or sets the highlight collision bodies flag

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.RunSimulationBuilder.IgnoreTouching
getset

Returns or sets the ignore touching flag

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.RunSimulationBuilder.IntervalDimension
get

Returns the interval value of refresh

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.RunSimulationBuilder.StopCheckCollision
getset

Returns or sets the stop check collision if find next collision

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.RunSimulationBuilder.TimeExpression
get

Returns the time in the cycle

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.